    # File lib/fog/aws.rb, line 281
        def self.parse_security_group_options(group_name, options)
          options ||= Hash.new
          if group_name.is_a?(Hash)
            options = group_name
          elsif group_name
            if options.key?('GroupName')
              raise Fog::Compute::AWS::Error, 'Arguments specified both group_name and GroupName in options'
            end
            options = options.clone
            options['GroupName'] = group_name
          end
          name_specified = options.key?('GroupName') && !options['GroupName'].nil?
          group_id_specified = options.key?('GroupId') && !options['GroupId'].nil?
          unless name_specified || group_id_specified
            raise Fog::Compute::AWS::Error, 'Neither GroupName nor GroupId specified'
          end
          if name_specified && group_id_specified
            options.delete('GroupName')
          end
          options
        end